Loading...
Searching...
No Matches
VError Class Reference

`#include <VError8.h>`

Inheritance diagram for VError:
[legend]
Collaboration diagram for VError:
[legend]

## Public Member Functions

| VError ()
const char * | what () const noexcept override
void | ostream_print (std::ostream &) const

## Detailed Description

The libvips error class. It holds a single string containing an internationalized error message in utf-8 encoding.

## Constructor & Destructor Documentation

## VError()

VError::VError | ( |  | ) |

inline

Construct a VError, fetching the error message from the libvips error buffer.

## Member Function Documentation

## ostream_print()

void VError::ostream_print | ( | std::ostream & | file | ) | const

Print the error message to a stream.

## what()

const char * VError::what | ( |  | ) | const

inline override noexcept

Get a reference to the underlying C string. Note: this override must be preserved for ABI, removing it would also eliminate the _ZNK4vips6VError4whatEv symbol.

The documentation for this class was generated from the following files:

- /build/vips-sez27Q/vips-8.18.5/cplusplus/include/vips/VError8.h
- /build/vips-sez27Q/vips-8.18.5/cplusplus/VError.cpp